package com.jsh.erp.datasource.entities;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 产品价格扩展表实体类
 */
@Data
public class MaterialExtend {

    @ApiModelProperty("主键id")
    private Long id;

    @ApiModelProperty("商品id")
    private Long materialId;

    @ApiModelProperty("商品单位")
    private String commodityUnit;

    @ApiModelProperty("商品属性")
    private String sku;

    @ApiModelProperty("采购价格")
    private BigDecimal purchaseDecimal;

    @ApiModelProperty("零售价格")
    private BigDecimal commodityDecimal;

    @ApiModelProperty("销售价格")
    private BigDecimal wholesaleDecimal;

    @ApiModelProperty("最低售价")
    private BigDecimal lowDecimal;

    @ApiModelProperty("是否为默认单位，1是，0否")
    private String defaultFlag;

    @ApiModelProperty("创建日期")
    private Date createTime;

    @ApiModelProperty("创建人编码")
    private String createSerial;

    @ApiModelProperty("更新人编码")
    private String updateSerial;

    @ApiModelProperty("更新时间戳")
    private Long updateTime;

    @ApiModelProperty("租户id")
    private Long tenantId;

    @ApiModelProperty("删除标记，0未删除，1删除")
    private String deleteFlag;

    @ApiModelProperty("生产日期")
    private Date productionDate;

    @ApiModelProperty("保质期天数")
    private Integer expiryNum;

    @ApiModelProperty("供应商id")
    private Long supplierId;

    @ApiModelProperty("商品条码")
    private String barCode;

    @ApiModelProperty("批次号")
    private String batchNumber;

    @ApiModelProperty("库存")
    private BigDecimal inventory;

    @ApiModelProperty("仓库id")
    private Long depotId;

    @ApiModelProperty("仓位货架")
    private String position;

    public void setBarCode(String barCode) {
        this.barCode = barCode == null ? null : barCode.trim();
    }

    public void setCommodityUnit(String commodityUnit) {
        this.commodityUnit = commodityUnit == null ? null : commodityUnit.trim();
    }

    public void setSku(String sku) {
        this.sku = sku == null ? null : sku.trim();
    }

    public void setDefaultFlag(String defaultFlag) {
        this.defaultFlag = defaultFlag == null ? null : defaultFlag.trim();
    }

    public void setCreateSerial(String createSerial) {
        this.createSerial = createSerial == null ? null : createSerial.trim();
    }

    public void setUpdateSerial(String updateSerial) {
        this.updateSerial = updateSerial == null ? null : updateSerial.trim();
    }

    public void setDeleteFlag(String deleteFlag) {
        this.deleteFlag = deleteFlag == null ? null : deleteFlag.trim();
    }
}